Bug Hunting Session
Bug 50861 - The look of a document should be independent from the platform and user settings
Summary: The look of a document should be independent from the platform and user settings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.2.0.0.beta1:Ubuntu
Keywords:
Depends on:
Blocks: Document-Options
  Show dependency treegraph
 
Reported: 2012-06-07 16:10 UTC by Benjamin Drung
Modified: 2018-08-29 02:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
non-portable-document.odt (12.25 KB, application/vnd.oasis.opendocument.text)
2012-06-07 16:10 UTC, Benjamin Drung
Details
Sample document looking equal on each PC (9.65 KB, application/3dr)
2012-06-07 21:27 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Drung 2012-06-07 16:10:21 UTC
Created attachment 62770 [details]
non-portable-document.odt

A document should always look the same independent from the platform used or the user settings. Specifically the font and document background color of an created document should not change from computer to computer. A presentations created on one machine should look the same on a different computer.

Currently all text with the font color 'Automatic' can differ from system to system, because the user can change the color for the 'Automatic' text. The same applies for the document background. The attached document is a demonstration of this behavior.
Comment 1 Rainer Bielefeld Retired 2012-06-07 21:27:56 UTC
Created attachment 62777 [details]
Sample document looking equal on each PC

Not a valid bug report, and Looks like a user error.

@Benjamin Drung: 
If the default template for the LibO installation has been modified by you so that (Writer) default font is no longer "Times New Roman 12pt black on white", but "Arial 8pt red on green", a Writer document with "Default" style will show "Arial 8pt red on green" only on your PC. On other users' PC text will have settings from default template on that other PC. That's (more or less) intended. 

If you want that "Arial 8pt red on green" for all users (most users' intention) you will have to modify the "Default" style for that document, as I did for attached "non-portable-document-new.odt" (with additional "bold" for default)

Or did you want to report something completely different?
Comment 2 Benjamin Drung 2012-06-22 07:46:16 UTC
I don't know if we talk about the same thing. I'll try to give examples:

1) Open Writer
2) Type some text
3) Save the document as document1.odt
4) Go to Options -> LibreOffice Writer -> Basic Fonts (Western) and select a diffent font (e.g. change from Arial to Times New Roman)
5) Select the text and apply the default style [the font type will change to the newly selected font]
6) Save the document as document2.odt
7) Close the document and open a new one
8) Go to Options -> LibreOffice Writer -> Basic Fonts (Western) and select the previous font again
9) Open document1.odt and document2.odt
Expected and actual behavior: The documents look different.

You will see that the font of the text in document1.odt will be your initial font (e.g. Arial) and the font of the text in document2.odt will be the changed font (e.g. Times New Roman). The text font of these documents will not change if the documents will be opened on a different system. This is the behavior that I expect. Now do following:

1) Open Writer
2) Type some text
3) Save the document as document1.odt
4) Go to Options -> LibreOffice -> Appearance and select a different font color and document background and (e.g. black on white)
6) Save the document as document2.odt
7) Close the document and open a new one
8) Go to Options -> LibreOffice -> Appearance, select the previous font color and document background again
9) Open document1.odt and document2.odt
Expected behavior: The documents look different.
Actual behavior: The documents look the same.

Do you agree on the expected behavior?
Comment 3 Robinson Tryon (qubit) 2013-11-24 21:00:35 UTC
CONFIRMED on LibreOffice 4.2.0.0.beta1 + Ubuntu 12.04.3

(In reply to comment #2)
> 1) Open Writer
> 2) Type some text
> 3) Save the document as document1.odt

Ok

> 4) Go to Options -> LibreOffice Writer -> Basic Fonts (Western) and select a
> diffent font (e.g. change from Arial to Times New Roman)

Tools -> Options -> LibreOffice Writer -> Basic Fonts (Western)
I chose: TNR -> Ubuntu

> 5) Select the text and apply the default style [the font type will change to
> the newly selected font]

Didn't have to select any text; it changed automatically for me.

> 6) Save the document as document2.odt

Ok

> 7) Close the document and open a new one
> 8) Go to Options -> LibreOffice Writer -> Basic Fonts (Western) and select
> the previous font again

ok

> 9) Open document1.odt and document2.odt
> Expected and actual behavior: The documents look different.

Confirmed.

> You will see that the font of the text in document1.odt will be your initial
> font (e.g. Arial) and the font of the text in document2.odt will be the
> changed font (e.g. Times New Roman). The text font of these documents will
> not change if the documents will be opened on a different system. This is
> the behavior that I expect. 

Ok

> Now do following:

> 
> 1) Open Writer
> 2) Type some text
> 3) Save the document as document1.odt

I'll re-use my document1.odt from the last test...

> 4) Go to Options -> LibreOffice -> Appearance and select a different font
> color and document background and (e.g. black on white)

Tools -> Options -> LibreOffice -> Appearance

Font color: Blue
Document background: Magenta

Click 'OK' to save settings.

> 6) Save the document as document2.odt

Ok

> 7) Close the document and open a new one
> 8) Go to Options -> LibreOffice -> Appearance, select the previous font
> color and document background again
> 9) Open document1.odt and document2.odt

ok

> Expected behavior: The documents look different.
> Actual behavior: The documents look the same.

Confirmed

> 
> Do you agree on the expected behavior?

I agree that the behavior of these settings should be consistent.

It appears that the default font choice is retained on a PER-DOCUMENT level, while the "Appearance" settings are maintained on a PER-MACHINE level. I think this disparity is potentially quite confusing.

IMHO there should be a set of defaults (font face, color, etc...; background color, etc..) that will be used for all new documents, and will stay embedded in the document. There could be a separate set of defaults that one may configure on a PER-MACHINE basis that govern the way markup is presented in LibreOffice, but do not affect how it is viewed on other machines. I personally think that the latter config options would be confusing in most situations, but it's something that may have its uses.

Status -> NEW
Comment 4 QA Administrators 2015-04-19 03:21:49 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2016-09-20 09:24:26 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2017-08-28 19:54:54 UTC
Nothing changed since initial report.

Version: 6.0.0.0.alpha0+
Build ID: bfd8a4e22fe584939f67b64c9c9495a466b16576
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-21_00:52:56
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 7 QA Administrators 2018-08-29 02:42:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug